// Data used in the adventure

#include "data.h"


GameState game_data;

map_data_type map_data[20][20] = {
  {
    { WALL, 'W' }, { WALL, 'W' }, { WALL, 'W' }, { WALL, 'W' },
    { ROAD, 0 }, { FOREST, 0 }, { ROAD, 0 }, { ROAD, 0 },
    { ROAD, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
  }, {
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { WALL, 'N' }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { ROAD, 0 }, { ROAD, 0 }, { ROAD, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
  }, {
    { FOREST, 0 }, { BANK, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { WALL, 'N' }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { ROAD, 0 }, { FOREST, 0 }, { FOREST, 0 }, { ROAD, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
  }, {
    { FOREST, 0 }, { SUPPLIES, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { WALL, 'N' }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { ROAD, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { ROAD, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
  }, {
    { FOREST, 0 }, { COMPANION, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { WALL, 'N' }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { LOOSE_ROAD, 0 }, { LOOSE_FOREST, 0 }, { LOOSE_FOREST, 0 }, { LOOSE_FOREST, 0 },
    { LOOSE_FOREST, 0 }, { ROAD, 0 }, { ROAD, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
  }, {
    { FOREST, 0 }, { FINISH, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { WALL, 'N' }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { LOOSE_ROAD, 0 }, { LOOSE_FOREST, 0 }, { LOOSE_FOREST, 0 }, { LOOSE_FOREST, 0 },
    { LOOSE_FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { ROAD, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
  }, {
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { WALL, 'N' }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { LOOSE_ROAD, 0 }, { LOOSE_FOREST, 0 }, { LOOSE_FOREST, 0 }, { LOOSE_FOREST, 0 },
    { LOOSE_FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { ROAD, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
  }, {
    { ROAD, 0 }, { WALL, 'E' }, { WALL, 'E' }, { WALL, 'E' },
    { WALL, 'N' }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { LOOSE_ROAD, 0 }, { LOOSE_FOREST, 0 }, { LOOSE_FOREST, 0 }, { LOOSE_FOREST, 0 },
    { LOOSE_FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { ROAD, 0 }, { ROAD, 0 }, { FOREST, 0 },
  }, {
    { ROAD, 0 }, { ROAD, 0 }, { ROAD, 0 }, { ROAD, 0 },
    { ROAD, 0 }, { ROAD, 0 }, { ROAD, 0 }, { ROAD, 0 },
    { LOOSE_ROAD, 0 }, { WALL, 'E' }, { WALL, 'E' }, { WALL, 'E' },
    { WALL, 'E' }, { WALL, 'E' }, { WALL, 'E' }, { WALL, 'E' },
    { WALL, 'E' }, { WALL, 'E' }, { WALL, 'E' }, { ROAD, 0 },
  }, {
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { WALL, 'S' }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
  }, {
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { WALL, 'S' }, { FOREST, 0 }, { TREASURE, 1 }, { FOREST, 0 },
    { TREASURE, 6 }, { FOREST, 0 }, { TREASURE, 11 }, { FOREST, 0 },
    { TREASURE, 16 }, { FOREST, 0 }, { TREASURE, 21 }, { FOREST, 0 },
  }, {
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { WALL, 'S' }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
  }, {
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { WALL, 'S' }, { FOREST, 0 }, { TREASURE, 2 }, { FOREST, 0 },
    { TREASURE, 7 }, { FOREST, 0 }, { TREASURE, 12 }, { FOREST, 0 },
    { TREASURE, 17 }, { FOREST, 0 }, { TREASURE, 22 }, { FOREST, 0 },
  }, {
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { WALL, 'S' }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
  }, {
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { WALL, 'S' }, { FOREST, 0 }, { TREASURE, 3 }, { FOREST, 0 },
    { TREASURE, 8 }, { FOREST, 0 }, { TREASURE, 13 }, { FOREST, 0 },
    { TREASURE, 18 }, { FOREST, 0 }, { TREASURE, 23 }, { FOREST, 0 },
  }, {
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { WALL, 'S' }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
  }, {
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { WALL, 'S' }, { FOREST, 0 }, { TREASURE, 4 }, { FOREST, 0 },
    { TREASURE, 9 }, { FOREST, 0 }, { TREASURE, 14 }, { FOREST, 0 },
    { TREASURE, 19 }, { FOREST, 0 }, { TREASURE, 24 }, { FOREST, 0 },
  }, {
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { WALL, 'S' }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
  }, {
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { WALL, 'S' }, { FOREST, 0 }, { TREASURE, 5 }, { FOREST, 0 },
    { TREASURE, 10 }, { FOREST, 0 }, { TREASURE, 15 }, { FOREST, 0 },
    { TREASURE, 20 }, { FOREST, 0 }, { TREASURE, 0 }, { FOREST, 0 },
  }, {
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { SEA, 0 }, { SEA, 0 }, { SEA, 0 }, { SEA, 0 },
    { WALL, 'S' }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
    { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 }, { FOREST, 0 },
  },
};

/*
  |......**~~~~~~~~~~~
  |.city.|*~~~~~~~~~~~
  |......|*~~~~~~~~~~~
  |......|*~~~~~~~~~~~
  *-------*~~~sea~~~~~
  ........*~~~~~~~~~~~
  *.......*~~~~~~~~~~~
  *.......*~~~~~~~~~~~
  ***+,,,,,-----------
  .*.!````|...........
  .*.!````|.1.2.3.4.5.
  ..*!````|...........
  ...+````|.6.7.8.9.0.
  ....*...|...........
  ....*...|.1.2.3.4.5.
  .....*..|...........
  ......*.|.6.7.8.9.0.
  .......*|...........
  .......*|.1.2.3.4.5.
  ........*...........
                      */


Boolean game_over = False;
