// Structures for data used in the adventure  -*-C++-*-

#ifndef INC_DATA
#define INC_DATA

#include <X11/Intrinsic.h>


class GameState {
public:
  Boolean LoanedMoney;	// Whether we've taken out a loan
  int Interest;		// The amount we have to repay the lender
  int PartySize;	// 1 if we're alone; 2 if we have a companion
  int DebtToCompanion;	// Companion's fee
  long Gold;		// How much money we've got
  Boolean Difficult;	// Whether we've acquired more than 5,000 gold peices
  int Food;		// How much food we have left
  int Water;		// How much water we have left
  int HitPoints;	// How much more damage we can take
  int HitPointsCompanion; // How much more damage our Companion can take
  int X, Y;		// Location
  char TreasureCodes[25]; // Keys to the treasure chests
};

enum map_element { ROAD, FOREST, SEA, WALL, LOOSE_ROAD, LOOSE_FOREST,
	 TREASURE, BANK, SUPPLIES, COMPANION, FINISH };
typedef struct {
  map_element type;
  int data;
} map_data_type;
extern map_data_type map_data[20][20];

extern GameState game_data;

extern Boolean game_over;


#endif
